## AgsSeqSynthUtil

AgsSeqSynthUtil — frequency modulation synth util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSeqSynthUtil * | ags_seq_synth_util_alloc ()
gpointer | ags_seq_synth_util_copy ()
void | ags_seq_synth_util_free ()
gpointer | ags_seq_synth_util_get_source ()
void | ags_seq_synth_util_set_source ()
guint | ags_seq_synth_util_get_source_stride ()
void | ags_seq_synth_util_set_source_stride ()
guint | ags_seq_synth_util_get_buffer_length ()
void | ags_seq_synth_util_set_buffer_length ()
AgsSoundcardFormat | ags_seq_synth_util_get_format ()
void | ags_seq_synth_util_set_format ()
guint | ags_seq_synth_util_get_samplerate ()
void | ags_seq_synth_util_set_samplerate ()
guint | ags_seq_synth_util_get_synth_oscillator_mode ()
void | ags_seq_synth_util_set_synth_oscillator_mode ()
gdouble | ags_seq_synth_util_get_frequency ()
void | ags_seq_synth_util_set_frequency ()
gdouble | ags_seq_synth_util_get_phase ()
void | ags_seq_synth_util_set_phase ()
gdouble | ags_seq_synth_util_get_volume ()
void | ags_seq_synth_util_set_volume ()
gdouble | ags_seq_synth_util_get_seq_tuning_0 ()
void | ags_seq_synth_util_set_seq_tuning_0 ()
gdouble | ags_seq_synth_util_get_seq_tuning_1 ()
void | ags_seq_synth_util_set_seq_tuning_1 ()
gdouble | ags_seq_synth_util_get_seq_tuning_2 ()
void | ags_seq_synth_util_set_seq_tuning_2 ()
gdouble | ags_seq_synth_util_get_seq_tuning_3 ()
void | ags_seq_synth_util_set_seq_tuning_3 ()
gdouble | ags_seq_synth_util_get_seq_tuning_4 ()
void | ags_seq_synth_util_set_seq_tuning_4 ()
gdouble | ags_seq_synth_util_get_seq_tuning_5 ()
void | ags_seq_synth_util_set_seq_tuning_5 ()
gdouble | ags_seq_synth_util_get_seq_tuning_6 ()
void | ags_seq_synth_util_set_seq_tuning_6 ()
gdouble | ags_seq_synth_util_get_seq_tuning_7 ()
void | ags_seq_synth_util_set_seq_tuning_7 ()
gboolean | ags_seq_synth_util_get_seq_tuning_pingpong ()
void | ags_seq_synth_util_set_seq_tuning_pingpong ()
gdouble | ags_seq_synth_util_get_seq_tuning_lfo_frequency ()
void | ags_seq_synth_util_set_seq_tuning_lfo_frequency ()
gdouble | ags_seq_synth_util_get_seq_volume_0 ()
void | ags_seq_synth_util_set_seq_volume_0 ()
gdouble | ags_seq_synth_util_get_seq_volume_1 ()
void | ags_seq_synth_util_set_seq_volume_1 ()
gdouble | ags_seq_synth_util_get_seq_volume_2 ()
void | ags_seq_synth_util_set_seq_volume_2 ()
gdouble | ags_seq_synth_util_get_seq_volume_3 ()
void | ags_seq_synth_util_set_seq_volume_3 ()
gdouble | ags_seq_synth_util_get_seq_volume_4 ()
void | ags_seq_synth_util_set_seq_volume_4 ()
gdouble | ags_seq_synth_util_get_seq_volume_5 ()
void | ags_seq_synth_util_set_seq_volume_5 ()
gdouble | ags_seq_synth_util_get_seq_volume_6 ()
void | ags_seq_synth_util_set_seq_volume_6 ()
gdouble | ags_seq_synth_util_get_seq_volume_7 ()
void | ags_seq_synth_util_set_seq_volume_7 ()
gboolean | ags_seq_synth_util_get_seq_volume_pingpong ()
void | ags_seq_synth_util_set_seq_volume_pingpong ()
gdouble | ags_seq_synth_util_get_seq_volume_lfo_frequency ()
void | ags_seq_synth_util_set_seq_volume_lfo_frequency ()
guint | ags_seq_synth_util_get_lfo_oscillator_mode ()
void | ags_seq_synth_util_set_lfo_oscillator_mode ()
gdouble | ags_seq_synth_util_get_lfo_frequency ()
void | ags_seq_synth_util_set_lfo_frequency ()
gdouble | ags_seq_synth_util_get_lfo_depth ()
void | ags_seq_synth_util_set_lfo_depth ()
gdouble | ags_seq_synth_util_get_tuning ()
void | ags_seq_synth_util_set_tuning ()
gboolean | ags_seq_synth_util_get_vibrato_enabled ()
void | ags_seq_synth_util_set_vibrato_enabled ()
gdouble | ags_seq_synth_util_get_vibrato_gain ()
void | ags_seq_synth_util_set_vibrato_gain ()
gdouble | ags_seq_synth_util_get_vibrato_lfo_depth ()
void | ags_seq_synth_util_set_vibrato_lfo_depth ()
gdouble | ags_seq_synth_util_get_vibrato_lfo_freq ()
void | ags_seq_synth_util_set_vibrato_lfo_freq ()
gdouble | ags_seq_synth_util_get_vibrato_tuning ()
void | ags_seq_synth_util_set_vibrato_tuning ()
guint | ags_seq_synth_util_get_frame_count ()
void | ags_seq_synth_util_set_frame_count ()
guint | ags_seq_synth_util_get_offset ()
void | ags_seq_synth_util_set_offset ()
gboolean | ags_seq_synth_util_get_note_256th_mode ()
void | ags_seq_synth_util_set_note_256th_mode ()
guint | ags_seq_synth_util_get_offset_256th ()
void | ags_seq_synth_util_set_offset_256th ()
gdouble | ags_seq_synth_util_get_tuning_by_offset ()
gdouble | ags_seq_synth_util_get_volume_by_offset ()
void | ags_seq_synth_util_compute_sin_s8 ()
void | ags_seq_synth_util_compute_sin_s16 ()
void | ags_seq_synth_util_compute_sin_s24 ()
void | ags_seq_synth_util_compute_sin_s32 ()
void | ags_seq_synth_util_compute_sin_s64 ()
void | ags_seq_synth_util_compute_sin_float ()
void | ags_seq_synth_util_compute_sin_double ()
void | ags_seq_synth_util_compute_sin_complex ()
void | ags_seq_synth_util_compute_sin ()
void | ags_seq_synth_util_compute_sawtooth_s8 ()
void | ags_seq_synth_util_compute_sawtooth_s16 ()
void | ags_seq_synth_util_compute_sawtooth_s24 ()
void | ags_seq_synth_util_compute_sawtooth_s32 ()
void | ags_seq_synth_util_compute_sawtooth_s64 ()
void | ags_seq_synth_util_compute_sawtooth_float ()
void | ags_seq_synth_util_compute_sawtooth_double ()
void | ags_seq_synth_util_compute_sawtooth_complex ()
void | ags_seq_synth_util_compute_sawtooth ()
void | ags_seq_synth_util_compute_triangle_s8 ()
void | ags_seq_synth_util_compute_triangle_s16 ()
void | ags_seq_synth_util_compute_triangle_s24 ()
void | ags_seq_synth_util_compute_triangle_s32 ()
void | ags_seq_synth_util_compute_triangle_s64 ()
void | ags_seq_synth_util_compute_triangle_float ()
void | ags_seq_synth_util_compute_triangle_double ()
void | ags_seq_synth_util_compute_triangle_complex ()
void | ags_seq_synth_util_compute_triangle ()
void | ags_seq_synth_util_compute_square_s8 ()
void | ags_seq_synth_util_compute_square_s16 ()
void | ags_seq_synth_util_compute_square_s24 ()
void | ags_seq_synth_util_compute_square_s32 ()
void | ags_seq_synth_util_compute_square_s64 ()
void | ags_seq_synth_util_compute_square_float ()
void | ags_seq_synth_util_compute_square_double ()
void | ags_seq_synth_util_compute_square_complex ()
void | ags_seq_synth_util_compute_square ()
void | ags_seq_synth_util_compute_impulse_s8 ()
void | ags_seq_synth_util_compute_impulse_s16 ()
void | ags_seq_synth_util_compute_impulse_s24 ()
void | ags_seq_synth_util_compute_impulse_s32 ()
void | ags_seq_synth_util_compute_impulse_s64 ()
void | ags_seq_synth_util_compute_impulse_float ()
void | ags_seq_synth_util_compute_impulse_double ()
void | ags_seq_synth_util_compute_impulse_complex ()
void | ags_seq_synth_util_compute_impulse ()

## Types and Values

#define | AGS_SEQ_SYNTH_UTIL_DEFAULT_FREQUENCY
#define | AGS_SEQ_SYNTH_UTIL_DEFAULT_LFO_FREQUENCY
#define | AGS_SEQ_SYNTH_UTIL_DEFAULT_LFO_DEPTH
#define | AGS_SEQ_SYNTH_UTIL_DEFAULT_TUNING
#define | AGS_SEQ_SYNTH_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsSeqSynthUtil

## Includes

    #include <ags/audio/ags_seq_synth_util.h>

## Description

Utility functions to compute FM synths with sequencer and vibrato.

## Functions

### ags_seq_synth_util_alloc ()

    AgsSeqSynthUtil *
    ags_seq_synth_util_alloc ();

Allocate AgsSeqSynthUtil

#### Returns

a new AgsSeqSynthUtil

Since: 7.5.0

### ags_seq_synth_util_copy ()

    gpointer
    ags_seq_synth_util_copy (AgsSeqSynthUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsSeqSynthUtil |

#### Returns

a pointer of the new AgsSeqSynthUtil

Since: 7.5.0

### ags_seq_synth_util_free ()

    void
    ags_seq_synth_util_free (AgsSeqSynthUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_get_source ()

    gpointer
    ags_seq_synth_util_get_source (AgsSeqSynthUtil *seq_synth_util);

Get source buffer of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the source buffer

Since: 7.5.0

### ags_seq_synth_util_set_source ()

    void
    ags_seq_synth_util_set_source (AgsSeqSynthUtil *seq_synth_util,
                                   gpointer source);

Set `source` buffer of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
source | the source buffer. | [transfer none]

Since: 7.5.0

### ags_seq_synth_util_get_source_stride ()

    guint
    ags_seq_synth_util_get_source_stride (AgsSeqSynthUtil *seq_synth_util);

Get source stride of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the source buffer stride

Since: 7.5.0

### ags_seq_synth_util_set_source_stride ()

    void
    ags_seq_synth_util_set_source_stride (AgsSeqSynthUtil *seq_synth_util,
                                          guint source_stride);

Set `source` stride of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
source_stride | the source buffer stride |

Since: 7.5.0

### ags_seq_synth_util_get_buffer_length ()

    guint
    ags_seq_synth_util_get_buffer_length (AgsSeqSynthUtil *seq_synth_util);

Get buffer length of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the buffer length

Since: 7.5.0

### ags_seq_synth_util_set_buffer_length ()

    void
    ags_seq_synth_util_set_buffer_length (AgsSeqSynthUtil *seq_synth_util,
                                          guint buffer_length);

Set `buffer_length` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
buffer_length | the buffer length |

Since: 7.5.0

### ags_seq_synth_util_get_format ()

    AgsSoundcardFormat
    ags_seq_synth_util_get_format (AgsSeqSynthUtil *seq_synth_util);

Get audio buffer util format of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the audio buffer util format

Since: 7.5.0

### ags_seq_synth_util_set_format ()

    void
    ags_seq_synth_util_set_format (AgsSeqSynthUtil *seq_synth_util,
                                   AgsSoundcardFormat format);

Set `format` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
format | the audio buffer util format |

Since: 7.5.0

### ags_seq_synth_util_get_samplerate ()

    guint
    ags_seq_synth_util_get_samplerate (AgsSeqSynthUtil *seq_synth_util);

Get samplerate of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the samplerate

Since: 7.5.0

### ags_seq_synth_util_set_samplerate ()

    void
    ags_seq_synth_util_set_samplerate (AgsSeqSynthUtil *seq_synth_util,
                                       guint samplerate);

Set `samplerate` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
samplerate | the samplerate |

Since: 7.5.0

### ags_seq_synth_util_get_synth_oscillator_mode ()

    guint
    ags_seq_synth_util_get_synth_oscillator_mode
                                   (AgsSeqSynthUtil *seq_synth_util);

Get synth oscillator mode of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the synth oscillator mode

Since: 7.5.0

### ags_seq_synth_util_set_synth_oscillator_mode ()

    void
    ags_seq_synth_util_set_synth_oscillator_mode
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    guint synth_oscillator_mode);

Set `synth_oscillator_mode` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
synth_oscillator_mode | the synth oscillator mode |

Since: 7.5.0

### ags_seq_synth_util_get_frequency ()

    gdouble
    ags_seq_synth_util_get_frequency (AgsSeqSynthUtil *seq_synth_util);

Get frequency of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the frequency

Since: 7.5.0

### ags_seq_synth_util_set_frequency ()

    void
    ags_seq_synth_util_set_frequency (AgsSeqSynthUtil *seq_synth_util,
                                      gdouble frequency);

Set `frequency` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
frequency | the frequency |

Since: 7.5.0

### ags_seq_synth_util_get_phase ()

    gdouble
    ags_seq_synth_util_get_phase (AgsSeqSynthUtil *seq_synth_util);

Get phase of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the phase

Since: 7.5.0

### ags_seq_synth_util_set_phase ()

    void
    ags_seq_synth_util_set_phase (AgsSeqSynthUtil *seq_synth_util,
                                  gdouble phase);

Set `phase` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
phase | the phase |

Since: 7.5.0

### ags_seq_synth_util_get_volume ()

    gdouble
    ags_seq_synth_util_get_volume (AgsSeqSynthUtil *seq_synth_util);

Get volume of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the volume

Since: 7.5.0

### ags_seq_synth_util_set_volume ()

    void
    ags_seq_synth_util_set_volume (AgsSeqSynthUtil *seq_synth_util,
                                   gdouble volume);

Set `volume` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
volume | the volume |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_0 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_0 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 0 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 0

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_0 ()

    void
    ags_seq_synth_util_set_seq_tuning_0 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_0);

Set `seq_tuning_0` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_0 | the seq tuning 0 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_1 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_1 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 1 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 1

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_1 ()

    void
    ags_seq_synth_util_set_seq_tuning_1 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_1);

Set `seq_tuning_1` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_1 | the seq tuning 1 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_2 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_2 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 2 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 2

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_2 ()

    void
    ags_seq_synth_util_set_seq_tuning_2 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_2);

Set `seq_tuning_2` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_2 | the seq tuning 2 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_3 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_3 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 3 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 3

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_3 ()

    void
    ags_seq_synth_util_set_seq_tuning_3 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_3);

Set `seq_tuning_3` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_3 | the seq tuning 3 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_4 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_4 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 4 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 4

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_4 ()

    void
    ags_seq_synth_util_set_seq_tuning_4 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_4);

Set `seq_tuning_4` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_4 | the seq tuning 4 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_5 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_5 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 5 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 5

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_5 ()

    void
    ags_seq_synth_util_set_seq_tuning_5 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_5);

Set `seq_tuning_5` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_5 | the seq tuning 5 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_6 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_6 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 6 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 6

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_6 ()

    void
    ags_seq_synth_util_set_seq_tuning_6 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_6);

Set `seq_tuning_6` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_6 | the seq tuning 6 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_7 ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_7 (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning 7 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning 7

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_7 ()

    void
    ags_seq_synth_util_set_seq_tuning_7 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_tuning_7);

Set `seq_tuning_7` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_7 | the seq tuning 7 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_pingpong ()

    gboolean
    ags_seq_synth_util_get_seq_tuning_pingpong
                                   (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning pingpong of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning pingpong

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_pingpong ()

    void
    ags_seq_synth_util_set_seq_tuning_pingpong
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gboolean seq_tuning_pingpong);

Set `seq_tuning_pingpong` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_pingpong | the seq tuning pingpong |

Since: 7.5.0

### ags_seq_synth_util_get_seq_tuning_lfo_frequency ()

    gdouble
    ags_seq_synth_util_get_seq_tuning_lfo_frequency
                                   (AgsSeqSynthUtil *seq_synth_util);

Get seq tuning lfo_frequency of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq tuning lfo_frequency

Since: 7.5.0

### ags_seq_synth_util_set_seq_tuning_lfo_frequency ()

    void
    ags_seq_synth_util_set_seq_tuning_lfo_frequency
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gdouble seq_tuning_lfo_frequency);

Set `seq_tuning_lfo_frequency` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_tuning_lfo_frequency | the seq tuning lfo_frequency |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_0 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_0 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 0 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 0

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_0 ()

    void
    ags_seq_synth_util_set_seq_volume_0 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_0);

Set `seq_volume_0` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_0 | the seq volume 0 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_1 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_1 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 1 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 1

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_1 ()

    void
    ags_seq_synth_util_set_seq_volume_1 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_1);

Set `seq_volume_1` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_1 | the seq volume 1 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_2 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_2 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 2 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 2

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_2 ()

    void
    ags_seq_synth_util_set_seq_volume_2 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_2);

Set `seq_volume_2` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_2 | the seq volume 2 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_3 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_3 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 3 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 3

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_3 ()

    void
    ags_seq_synth_util_set_seq_volume_3 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_3);

Set `seq_volume_3` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_3 | the seq volume 3 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_4 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_4 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 4 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 4

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_4 ()

    void
    ags_seq_synth_util_set_seq_volume_4 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_4);

Set `seq_volume_4` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_4 | the seq volume 4 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_5 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_5 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 5 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 5

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_5 ()

    void
    ags_seq_synth_util_set_seq_volume_5 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_5);

Set `seq_volume_5` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_5 | the seq volume 5 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_6 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_6 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 6 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 6

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_6 ()

    void
    ags_seq_synth_util_set_seq_volume_6 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_6);

Set `seq_volume_6` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_6 | the seq volume 6 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_7 ()

    gdouble
    ags_seq_synth_util_get_seq_volume_7 (AgsSeqSynthUtil *seq_synth_util);

Get seq volume 7 of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume 7

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_7 ()

    void
    ags_seq_synth_util_set_seq_volume_7 (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble seq_volume_7);

Set `seq_volume_7` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_7 | the seq volume 7 |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_pingpong ()

    gboolean
    ags_seq_synth_util_get_seq_volume_pingpong
                                   (AgsSeqSynthUtil *seq_synth_util);

Get seq volume pingpong of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume pingpong

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_pingpong ()

    void
    ags_seq_synth_util_set_seq_volume_pingpong
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gboolean seq_volume_pingpong);

Set `seq_volume_pingpong` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_pingpong | the seq volume pingpong |

Since: 7.5.0

### ags_seq_synth_util_get_seq_volume_lfo_frequency ()

    gdouble
    ags_seq_synth_util_get_seq_volume_lfo_frequency
                                   (AgsSeqSynthUtil *seq_synth_util);

Get seq volume lfo_frequency of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the seq volume lfo_frequency

Since: 7.5.0

### ags_seq_synth_util_set_seq_volume_lfo_frequency ()

    void
    ags_seq_synth_util_set_seq_volume_lfo_frequency
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gdouble seq_volume_lfo_frequency);

Set `seq_volume_lfo_frequency` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
seq_volume_lfo_frequency | the seq volume lfo_frequency |

Since: 7.5.0

### ags_seq_synth_util_get_lfo_oscillator_mode ()

    guint
    ags_seq_synth_util_get_lfo_oscillator_mode
                                   (AgsSeqSynthUtil *seq_synth_util);

Get LFO oscillator mode of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the LFO oscillator mode

Since: 7.5.0

### ags_seq_synth_util_set_lfo_oscillator_mode ()

    void
    ags_seq_synth_util_set_lfo_oscillator_mode
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    guint lfo_oscillator_mode);

Set `lfo_oscillator_mode` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
lfo_oscillator_mode | the LFO oscillator mode |

Since: 7.5.0

### ags_seq_synth_util_get_lfo_frequency ()

    gdouble
    ags_seq_synth_util_get_lfo_frequency (AgsSeqSynthUtil *seq_synth_util);

Get LFO frequency of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the LFO frequency

Since: 7.5.0

### ags_seq_synth_util_set_lfo_frequency ()

    void
    ags_seq_synth_util_set_lfo_frequency (AgsSeqSynthUtil *seq_synth_util,
                                          gdouble lfo_frequency);

Set `lfo_frequency` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
lfo_frequency | the LFO frequency |

Since: 7.5.0

### ags_seq_synth_util_get_lfo_depth ()

    gdouble
    ags_seq_synth_util_get_lfo_depth (AgsSeqSynthUtil *seq_synth_util);

Get LFO depth of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the LFO depth

Since: 7.5.0

### ags_seq_synth_util_set_lfo_depth ()

    void
    ags_seq_synth_util_set_lfo_depth (AgsSeqSynthUtil *seq_synth_util,
                                      gdouble lfo_depth);

Set `lfo_depth` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
lfo_depth | the LFO depth |

Since: 7.5.0

### ags_seq_synth_util_get_tuning ()

    gdouble
    ags_seq_synth_util_get_tuning (AgsSeqSynthUtil *seq_synth_util);

Get tuning of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the tuning

Since: 7.5.0

### ags_seq_synth_util_set_tuning ()

    void
    ags_seq_synth_util_set_tuning (AgsSeqSynthUtil *seq_synth_util,
                                   gdouble tuning);

Set `tuning` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
tuning | the tuning |

Since: 7.5.0

### ags_seq_synth_util_get_vibrato_enabled ()

    gboolean
    ags_seq_synth_util_get_vibrato_enabled
                                   (AgsSeqSynthUtil *seq_synth_util);

Get vibrato enabled of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

`TRUE` if the vibrato is enabled, otherwise `FALSE`

Since: 7.5.0

### ags_seq_synth_util_set_vibrato_enabled ()

    void
    ags_seq_synth_util_set_vibrato_enabled
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gboolean vibrato_enabled);

Set `vibrato_enabled` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
vibrato_enabled | the vibrato enabled |

Since: 7.5.0

### ags_seq_synth_util_get_vibrato_gain ()

    gdouble
    ags_seq_synth_util_get_vibrato_gain (AgsSeqSynthUtil *seq_synth_util);

Get vibrato gain of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the vibrato gain

Since: 7.5.0

### ags_seq_synth_util_set_vibrato_gain ()

    void
    ags_seq_synth_util_set_vibrato_gain (AgsSeqSynthUtil *seq_synth_util,
                                         gdouble vibrato_gain);

Set `vibrato_gain` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
vibrato_gain | the vibrato gain |

Since: 7.5.0

### ags_seq_synth_util_get_vibrato_lfo_depth ()

    gdouble
    ags_seq_synth_util_get_vibrato_lfo_depth
                                   (AgsSeqSynthUtil *seq_synth_util);

Get vibrato lfo_depth of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the vibrato lfo_depth

Since: 7.5.0

### ags_seq_synth_util_set_vibrato_lfo_depth ()

    void
    ags_seq_synth_util_set_vibrato_lfo_depth
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gdouble vibrato_lfo_depth);

Set `vibrato_lfo_depth` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
vibrato_lfo_depth | the vibrato lfo_depth |

Since: 7.5.0

### ags_seq_synth_util_get_vibrato_lfo_freq ()

    gdouble
    ags_seq_synth_util_get_vibrato_lfo_freq
                                   (AgsSeqSynthUtil *seq_synth_util);

Get vibrato lfo_freq of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the vibrato lfo_freq

Since: 7.5.0

### ags_seq_synth_util_set_vibrato_lfo_freq ()

    void
    ags_seq_synth_util_set_vibrato_lfo_freq
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gdouble vibrato_lfo_freq);

Set `vibrato_lfo_freq` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
vibrato_lfo_freq | the vibrato lfo_freq |

Since: 7.5.0

### ags_seq_synth_util_get_vibrato_tuning ()

    gdouble
    ags_seq_synth_util_get_vibrato_tuning (AgsSeqSynthUtil *seq_synth_util);

Get vibrato tuning of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the vibrato tuning

Since: 7.5.0

### ags_seq_synth_util_set_vibrato_tuning ()

    void
    ags_seq_synth_util_set_vibrato_tuning (AgsSeqSynthUtil *seq_synth_util,
                                           gdouble vibrato_tuning);

Set `vibrato_tuning` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
vibrato_tuning | the vibrato tuning |

Since: 7.5.0

### ags_seq_synth_util_get_frame_count ()

    guint
    ags_seq_synth_util_get_frame_count (AgsSeqSynthUtil *seq_synth_util);

Get frame count of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the frame count

Since: 7.5.0

### ags_seq_synth_util_set_frame_count ()

    void
    ags_seq_synth_util_set_frame_count (AgsSeqSynthUtil *seq_synth_util,
                                        guint frame_count);

Set `frame_count` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
frame_count | the frame count |

Since: 7.5.0

### ags_seq_synth_util_get_offset ()

    guint
    ags_seq_synth_util_get_offset (AgsSeqSynthUtil *seq_synth_util);

Get offset of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the offset

Since: 7.5.0

### ags_seq_synth_util_set_offset ()

    void
    ags_seq_synth_util_set_offset (AgsSeqSynthUtil *seq_synth_util,
                                   guint offset);

Set `offset` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
offset | the offset |

Since: 7.5.0

### ags_seq_synth_util_get_note_256th_mode ()

    gboolean
    ags_seq_synth_util_get_note_256th_mode
                                   (AgsSeqSynthUtil *seq_synth_util);

Get note 256th mode of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 7.5.0

### ags_seq_synth_util_set_note_256th_mode ()

    void
    ags_seq_synth_util_set_note_256th_mode
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
note_256th_mode | the note 256th mode |

Since: 7.5.0

### ags_seq_synth_util_get_offset_256th ()

    guint
    ags_seq_synth_util_get_offset_256th (AgsSeqSynthUtil *seq_synth_util);

Get offset as note 256th of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

#### Returns

the offset as note 256th

Since: 7.5.0

### ags_seq_synth_util_set_offset_256th ()

    void
    ags_seq_synth_util_set_offset_256th (AgsSeqSynthUtil *seq_synth_util,
                                         guint offset_256th);

Set `offset_256th` of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
offset_256th | the offset as note 256th |

Since: 7.5.0

### ags_seq_synth_util_get_tuning_by_offset ()

    gdouble
    ags_seq_synth_util_get_tuning_by_offset
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    guint offset);

Get tuning by offset of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
offset | the offset |

#### Returns

the tuning

Since: 7.5.0

### ags_seq_synth_util_get_volume_by_offset ()

    gdouble
    ags_seq_synth_util_get_volume_by_offset
                                   (AgsSeqSynthUtil *seq_synth_util,
                                    guint offset);

Get volume by offset of `seq_synth_util` .

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |
offset | the offset |

#### Returns

the volume

Since: 7.5.0

### ags_seq_synth_util_compute_sin_s8 ()

    void
    ags_seq_synth_util_compute_sin_s8 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of signed 8 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_s16 ()

    void
    ags_seq_synth_util_compute_sin_s16 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of signed 16 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_s24 ()

    void
    ags_seq_synth_util_compute_sin_s24 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of signed 24 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_s32 ()

    void
    ags_seq_synth_util_compute_sin_s32 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of signed 32 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_s64 ()

    void
    ags_seq_synth_util_compute_sin_s64 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of signed 64 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_float ()

    void
    ags_seq_synth_util_compute_sin_float (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_double ()

    void
    ags_seq_synth_util_compute_sin_double (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of double precision floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin_complex ()

    void
    ags_seq_synth_util_compute_sin_complex
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth of complex data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sin ()

    void
    ags_seq_synth_util_compute_sin (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sine synth.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_s8 ()

    void
    ags_seq_synth_util_compute_sawtooth_s8
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of signed 8 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_s16 ()

    void
    ags_seq_synth_util_compute_sawtooth_s16
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of signed 16 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_s24 ()

    void
    ags_seq_synth_util_compute_sawtooth_s24
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of signed 24 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_s32 ()

    void
    ags_seq_synth_util_compute_sawtooth_s32
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of signed 32 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_s64 ()

    void
    ags_seq_synth_util_compute_sawtooth_s64
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of signed 64 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_float ()

    void
    ags_seq_synth_util_compute_sawtooth_float
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_double ()

    void
    ags_seq_synth_util_compute_sawtooth_double
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of double precision floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth_complex ()

    void
    ags_seq_synth_util_compute_sawtooth_complex
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth of complex data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_sawtooth ()

    void
    ags_seq_synth_util_compute_sawtooth (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ sawtooth synth.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_s8 ()

    void
    ags_seq_synth_util_compute_triangle_s8
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of signed 8 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_s16 ()

    void
    ags_seq_synth_util_compute_triangle_s16
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of signed 16 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_s24 ()

    void
    ags_seq_synth_util_compute_triangle_s24
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of signed 24 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_s32 ()

    void
    ags_seq_synth_util_compute_triangle_s32
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of signed 32 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_s64 ()

    void
    ags_seq_synth_util_compute_triangle_s64
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of signed 64 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_float ()

    void
    ags_seq_synth_util_compute_triangle_float
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_double ()

    void
    ags_seq_synth_util_compute_triangle_double
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of double precision floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle_complex ()

    void
    ags_seq_synth_util_compute_triangle_complex
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth of complex data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_triangle ()

    void
    ags_seq_synth_util_compute_triangle (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ triangle synth.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_s8 ()

    void
    ags_seq_synth_util_compute_square_s8 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of signed 8 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_s16 ()

    void
    ags_seq_synth_util_compute_square_s16 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of signed 16 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_s24 ()

    void
    ags_seq_synth_util_compute_square_s24 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of signed 24 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_s32 ()

    void
    ags_seq_synth_util_compute_square_s32 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of signed 32 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_s64 ()

    void
    ags_seq_synth_util_compute_square_s64 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of signed 64 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_float ()

    void
    ags_seq_synth_util_compute_square_float
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_double ()

    void
    ags_seq_synth_util_compute_square_double
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of double precision floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square_complex ()

    void
    ags_seq_synth_util_compute_square_complex
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth of complex data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_square ()

    void
    ags_seq_synth_util_compute_square (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ square synth.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_s8 ()

    void
    ags_seq_synth_util_compute_impulse_s8 (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of signed 8 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_s16 ()

    void
    ags_seq_synth_util_compute_impulse_s16
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of signed 16 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_s24 ()

    void
    ags_seq_synth_util_compute_impulse_s24
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of signed 24 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_s32 ()

    void
    ags_seq_synth_util_compute_impulse_s32
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of signed 32 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_s64 ()

    void
    ags_seq_synth_util_compute_impulse_s64
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of signed 64 bit data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_float ()

    void
    ags_seq_synth_util_compute_impulse_float
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_double ()

    void
    ags_seq_synth_util_compute_impulse_double
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of double precision floating point data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse_complex ()

    void
    ags_seq_synth_util_compute_impulse_complex
                                   (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth of complex data.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

### ags_seq_synth_util_compute_impulse ()

    void
    ags_seq_synth_util_compute_impulse (AgsSeqSynthUtil *seq_synth_util);

Compute SEQ impulse synth.

#### Parameters

seq_synth_util | the AgsSeqSynthUtil |

Since: 7.5.0

## Types and Values

### AGS_SEQ_SYNTH_UTIL_DEFAULT_FREQUENCY

    #define AGS_SEQ_SYNTH_UTIL_DEFAULT_FREQUENCY (440.0)

### AGS_SEQ_SYNTH_UTIL_DEFAULT_LFO_FREQUENCY

    #define AGS_SEQ_SYNTH_UTIL_DEFAULT_LFO_FREQUENCY (12.0)

### AGS_SEQ_SYNTH_UTIL_DEFAULT_LFO_DEPTH

    #define AGS_SEQ_SYNTH_UTIL_DEFAULT_LFO_DEPTH (0.0)

### AGS_SEQ_SYNTH_UTIL_DEFAULT_TUNING

    #define AGS_SEQ_SYNTH_UTIL_DEFAULT_TUNING (0.0)

### AGS_SEQ_SYNTH_UTIL_INITIALIZER

    #define             AGS_SEQ_SYNTH_UTIL_INITIALIZER